#253 Build 205 pythonwin.exe crashes on Win2k3

closed-duplicate
nobody
pythonwin (176)
8
2006-02-27
2005-12-08
No

As soon the installation is completed on Windows 2003
Operating System.Starting the pythonwin IDE,the
pythonwin32.exe crashes with the message:

Pythonwin:Pythonwin.exe - Application Error

The instruction of "0x00c25fa4" referenced memory at
"0x00c25fa4".
The Memory could not be written.

Discussion

    • priority: 5 --> 8
     
  • Logged In: YES
    user_id=942711

    Please let me know if I need to provide more debugging
    information.

     
  • Mark Hammond
    Mark Hammond
    2005-12-08

    Logged In: YES
    user_id=14198

    What Python version?

     
  • Logged In: YES
    user_id=942711

    Am sorry,Mark.
    -Python 2.4 Build 205.

     
  • Logged In: YES
    user_id=1408439

    I also get the error on Win2003 Server. I upgraded to 205,
    because of a __setitem__ problem of the COMObject.
    Thereafter I have been experiencing the problem. Now the
    strange thing is that it crashes regardless of the python
    and Pythonwin version (I have installed and re-installed and
    booted, etc.). I also deinstalled my python 2.4.

    python 2.3.5
    build 205
    Faulting application Pythonwin.exe, version 2.3.205.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00bfdb04.

    python 2.3.5
    build 204
    Faulting application Pythonwin.exe, version 0.0.0.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00c1db04.

    Downgrade to:
    python 2.3
    build 203
    Faulting application Pythonwin.exe, version 0.0.0.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00c36f0c.

    python 2.3
    build 204
    Faulting application Pythonwin.exe, version 0.0.0.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00c36f0c.

    python 2.3
    build 202
    Faulting application Pythonwin.exe, version 0.0.0.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00c36f0c.

    Upgrade to:
    python 2.3.5
    build 202
    Faulting application Pythonwin.exe, version 0.0.0.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00c68d4c.

    Upgrade to:
    python 2.4.1
    build 205
    Faulting application Pythonwin.exe, version 2.4.205.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00ac1aa4.

    Upgrade to:
    python 2.4.2
    build 205
    Faulting application Pythonwin.exe, version 2.4.205.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00aecefc.

    Thereafter it crashed at:
    Faulting application Pythonwin.exe, version 2.4.205.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00baebac.
    Shout if I can provide more info.
    Thanks

     
  • Logged In: YES
    user_id=1408439

    Not sure if this may help. Some crash information.
    python 2.4.2
    Faulting application Pythonwin.exe, version 2.4.205.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00ac1514.

    Running it again crash consistently at:
    Faulting application Pythonwin.exe, version 2.4.205.0,
    faulting module unknown, version 0.0.0.0, fault address
    0x00ab816c.

    I run:
    Microsoft(R) Windows(R) Server 2003, Standard Edition
    5.2.3790 Service Pack 1 Build 3790

    and the following MFC's were loaded:
    version 6.6.8063.0
    <Data>
    <Name><![CDATA[mfc42]]>
    <Version><![CDATA[6.06.8063.0]]>
    <Size><![CDATA[1.11 MB (1,160,704 bytes)]]>
    <File_Date><![CDATA[2005/11/16 09:52 AM]]>
    <Manufacturer><![CDATA[Microsoft Corporation]]>
    <Path><![CDATA[c:\windows\system32\mfc42.dll]]>

    version 6.6.8063.0
    <Data>
    <Name><![CDATA[mfc42u]]>
    <Version><![CDATA[6.06.8063.0]]>
    <Size><![CDATA[1.11 MB (1,163,776 bytes)]]>
    <File_Date><![CDATA[2005/11/16 09:52 AM]]>
    <Manufacturer><![CDATA[Microsoft Corporation]]>
    <Path><![CDATA[c:\windows\system32\mfc42u.dll]]>

    version 7.10.3077.0
    <Data>
    <Name><![CDATA[mfc71]]>
    <Version><![CDATA[7.10.3077.0]]>
    <Size><![CDATA[1.01 MB (1,060,864 bytes)]]>
    <File_Date><![CDATA[2003/03/19 07:19 AM]]>
    <Manufacturer><![CDATA[Microsoft Corporation]]>
    <Path><![CDATA[c:\windows\system32\mfc71.dll]]>

    version 7.10.3077.0
    <Data>
    <Name><![CDATA[mfc71enu]]>
    <Version><![CDATA[7.10.3077.0]]>
    <Size><![CDATA[56.00 KB (57,344 bytes)]]>
    <File_Date><![CDATA[2003/03/19 06:44 AM]]>
    <Manufacturer><![CDATA[Microsoft Corporation]]>
    <Path><![CDATA[c:\windows\system32\mfc71enu.dll]]>

    00AB8166 add byte ptr [eax],al
    00AB8168 or al,byte ptr [eax]
    00AB816A add byte ptr [eax],al
    00AB816C pop eax
    00AB816D push 0AB8118h
    00AB8172 push eax
    00AB8173 push 1E504C10h
    00AB8178 ret

    Stack:
    00ab816c()
    user32.dll!77387050()
    user32.dll!77387dc3()
    user32.dll!77387101()
    user32.dll!7738e3f0()
    user32.dll!7739c3b7()
    user32.dll!7739c484()
    user32.dll!7739c43a()
    user32.dll!7739c73c()
    user32.dll!7738e406()
    > MFC71.dll!AfxInternalPumpMessage() Line 188 C++
    MFC71.dll!CWinThread::Run() Line 637 + 0x7 C++
    win32ui.pyd!1e2b62a7()
    Pythonwin.exe!004015cc()
    MFC71.dll!AfxWinMain(HINSTANCE__ * hInstance=0x00400000,
    HINSTANCE__ * hPrevInstance=0x00000000, char *
    lpCmdLine=0x00142545, int nCmdShow=10) Line 49 + 0x7 C++
    Pythonwin.exe!004019f1()
    kernel32.dll!77e523cd()

    Last source code window:
    AfxInternalPumpMessage(void) file thrdcore.cpp line 181-189
    181: // process this message
    182:
    183: if (pState->m_msgCur.message != WM_KICKIDLE &&
    !AfxPreTranslateMessage(&(pState->m_msgCur)))
    7C169054 cmp dword ptr [edi+34h],36Ah
    7C16905B je AfxInternalPumpMessage+3Eh (7C169076h)
    7C16905D push esi
    7C16905E call AfxPreTranslateMessage (7C169121h)
    7C169063 test eax,eax
    7C169065 pop ecx
    7C169066 jne AfxInternalPumpMessage+3Eh (7C169076h)
    184: {
    185: ::TranslateMessage(&(pState->m_msgCur));
    7C169068 push esi
    7C169069 call dword ptr [__imp__TranslateMessage@4
    (7C141728h)]
    186: ::DispatchMessage(&(pState->m_msgCur));
    7C16906F push esi
    7C169070 call dword ptr [__imp__DispatchMessageA@4
    (7C14166Ch)]
    187: }
    188: return TRUE;
    >>Instruction cursor>>7C169076 xor eax,eax
    7C169078 inc eax
    7C169079 pop edi
    7C16907A pop esi
    189: }
    7C16907B ret

    Registers:
    EAX = 00000000 EBX = 773E20E0 ECX = 000080A2 EDX = 0014B678
    ESI = 0012FCF8 EDI = 7FFDF6CC EIP = 00AB816C ESP = 0012FCD4
    EBP = 0012FD04 EFL = 00010246

     
  • Logged In: YES
    user_id=1408439

    It is the Data Execution Prevention (DEP)that cause the
    crash. See "How can I tell if DEP is available on my
    computer?" below. I selected "DEP for all programs and
    services except those I select" and then ticked Pythonwin.
    For good measure I ticked Windows Installer, and reinstalled
    Python 2.3.5 + Pythonwin 205, Python 2.4.2 + Pythonwin 205.
    I deleted the old Pythonwin entries and added the newly
    installed ones. And Voila! Pythonwin works again.

    The one help I found was:

    Data Execution Prevention (DEP) helps prevent damage from
    viruses and other security threats that attack by running
    (executing) malicious code from memory locations that only
    Windows and other programs should use. This type of threat
    causes damage by taking over one or more memory locations in
    use by a program. Then it spreads and harms other programs,
    files, and even your e-mail contacts.
    Unlike a firewall or antivirus program, DEP does not help
    prevent harmful programs from being installed on your
    computer. Instead, it monitors your programs to determine if
    they use system memory safely. To do this, DEP software
    works alone or with compatible microprocessors to mark some
    memory locations as "non-executable." If a program tries to
    run code—malicious or not—from a protected location, DEP
    closes the program and notifies you.
    DEP can take advantage of software and hardware support. To
    use DEP, your computer must be running Microsoft Windows XP
    with Service Pack 2 (SP2), Microsoft Windows Server 2003
    with Service Pack 1 (SP1), or an x64-based version of a
    Windows Server 2003 or Windows XP operating system. DEP
    software alone helps protect against certain types of
    malicious code attacks but to take full advantage of the
    protection that DEP can offer, your processor must support
    "execution protection." This is a hardware-based technology
    designed to mark memory locations as non-executable. If your
    processor does not support hardware-based DEP, it's a good
    idea to upgrade to a processor that offers execution
    protection features.
    Is it safe to run a program again if DEP has closed it?
    Yes, but only if you leave DEP turned on for that program.
    Windows can continue to detect attempts to execute code from
    protected memory locations and help prevent attacks. In
    cases where a program does not run correctly with DEP turned
    on, you can reduce security risks by getting a
    DEP-compatible version of the program from the software
    publisher. For more information about what to do after DEP
    closes a program, click Related Topics.
    How can I tell if DEP is available on my computer?
    1. To open System Properties, click Start, click Control
    Panel, and then double-click System.
    2. Click the Advanced tab and, under Performance, click
    Settings.
    3. Click the Data Execution Prevention tab.
    Note
    • By default, DEP is only turned on for essential Windows
    operating system programs and services. To help protect more
    programs with DEP, select Turn on DEP for all programs and
    services except those I select.

     
  • Mark Hammond
    Mark Hammond
    2006-02-27

    Logged In: YES
    user_id=14198

    I believe this is a dupe of "[ 1414160 ] DDE sets off DEP
    (in demos and pythonwin too)" - which I believe has been
    fixed so should be in build 208

     
  • Mark Hammond
    Mark Hammond
    2006-02-27

    • status: open --> closed-duplicate